<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Insert title here</title>
    <%@include file="/views/common.jsp" %>
</head>
<style>
    .edge .layui-edge {
        right: 20px;
    }
</style>
<body>
<div class="big_box">
    <div class="left_div">
        <h1 class="h1">数码PVC</h1> <span style="color:red;font-weight:700;"></span>
        <hr>
        <form class="layui-form">
            <input type="hidden" name="proTypeValue" id="proTypeValue" value="数码PVC" class="layui-input">
            <p>
                材质
            </p>
            <div class="layui-form-item">
                <select name="kindValue" id="kindValue" lay-filter="kindValue" class="select">
                    <option value="1">0.38mm亮光</option>
                    <option value="2">0.38mm磨砂</option>
                    <option value="3">0.38mm哑光</option>
                    <option value="10">0.38mm透明窗口PVC</option>
                    <option value="4">0.84mm亮光</option>
                    <option value="5">0.84mm磨砂</option>
                    <option value="6">0.84mm哑光</option>
                    <option value="7">1mm亮光</option>
                    <option value="8">1mm磨砂</option>
                    <option value="9">1mm哑光</option>
                    <option value="11">0.76mm亮光</option>
                    <option value="12">0.76mm磨砂</option>
                    <option value="13">0.76mm哑光</option>
                </select>
            </div>
            <p>
                尺寸(CM/厘米) <span style="font-size:14px;color:red">输入格式: 长 * 宽</span>
            </p>
            <div class="layui-form-item">
                <input type="text" name="size" placeholder="格式:长*宽" id="size" class="layui-input" autocomplete="off">
            </div>
            <p>
                数量（张）
            </p>
            <div class="count">
                <div class="layui-form-item">
                    <input type="text" name="count" id="count" placeholder="请输入整数" class="layui-input"
                           autocomplete="off">
                </div>
            </div>
            <p>
                款数
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入整数" autocomplete="off" name="number" id="number" value="1"
                       class="layui-input" lay-verify="number">
            </div>
            <p>
                客户旺旺
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入客户旺旺号" autocomplete="off" name="wangwang" id="wangwang"
                       class="layui-input">
            </div>
            <div class="layui-form-item" id="ui_des" style="display:none;">
                <p>
                    设计内容
                </p>
                <select name="desType" lay-filter="desType" id="desType" class="select" lay-search>
                    <option value=""></option>
                    <option value="1">改序号</option>
                    <option value="2">改名字</option>
                    <option value="3">改二维码</option>
                    <option value="4">改图片</option>
                    <option value="5">改内容模板相同</option>
                    <option value="6" selected>改内容模板完全不同</option>
                </select>
            </div>
            <div class="craftDiv">
                <p>工艺</p>
                <div class="layui-input-block">
                    <input type="radio" name="ui_jx" value="圆角矩形" title="圆角矩形" checked="checked">
                    <input type="radio" name="ui_jx" value="直角矩形" title="直角矩形">
                    <input type="radio" name="ui_jx" value="异形" title="异形">
                    <br/>
                    <input type="radio" name="craftShua" value="单面" title="单面" checked="checked">
                    <span id="shuangmian">
                        <input type="radio" name="craftShua" value="双面" title="双面">
                    </span>
                    <br/>
                    <input type="checkbox" name="ui_dk" lay-filter="switch" value="打孔" title="打孔">
                    <input type="checkbox" name="craft" value="背胶" title="背胶">
                    <input type="checkbox" name="craft" lay-filter="switch" value="菜品夹" title="菜品夹">
                    <span class="layui-inline cqjinput" style="display: none">
                        <input type="text" placeholder="请输入整数" autocomplete="off" name="stickNum" value="1" class="layui-input" style="width: 70px">
                    </span>
                </div>
            </div>
            <div class="layui-input-block">
                <input type="checkbox" name="craft" lay-filter="ui_craft" value="抠图" title="抠图">
                <div class="layui-inline crop" style="display:none;width: 80px">
                    <input class="layui-input" type="text" name="cropNumber">
                </div>
            </div>
            <hr>
            <div class="layui-form-item">
                <button class="layui-btn" lay-submit="" lay-filter="acount_btn" id="queryCondBtn">计算</button>
                <button type="reset" class="layui-btn layui-btn-primary">重置</button>
            </div>
            <h2>计算结果-
                <button type="button" class="layui-btn layui-btn-primary layui-btn-sm copyResult"
                        onclick="copyResult()">点击复制
                </button>
            </h2>
            <div>
                <textarea rows="11" cols="75" id="span_result" readonly="readonly"></textarea>
                <%@include file="../acountExpressFee.jsp" %>
            </div>
            <!-- <h2>下单备注-<button type="button" class="layui-btn layui-btn-primary layui-btn-sm copyResult" onclick="copyBz()">点击复制</button></h2>
            <div>
                <textarea rows="5" cols="75" id="bz_result" readonly="readonly"></textarea>
            </div> -->
            <div>
                <table class="layui-hide" id="priceTable" lay-filter="priceTable"></table>
            </div>
        </form>
    </div>
    <div class="right_div">
        <div class="layui-carousel" id="test1">
            <div carousel-item id="carousel"></div>
            <br>
            <div id="remark" style="font-size:20px;color:red"></div>
        </div>
    </div>
</div>
</body>
<%@include file="/views/copyResult.jsp" %>
<script>
    setNumberOptions();

    function setNumberOptions() {
        let html = '';
        if (true) {
            html = `<option value=""></option>
                <option value="1">改序号</option>
                <option value="2">改名字</option>
                <option value="3">改二维码</option>
                <option value="4">改图片</option>
                <option value="5">改内容模板相同</option>
                <option value="6" selected>改内容模板完全不同</option>`;
        } else {
            html = `<option value=""></option>
                <option value="1">改序号</option>
                <option value="6" selected>改内容模板完全不同</option>`;
        }
        $("#desType").empty().append(html);
    }

    layui.use(['table', 'form', 'carousel'], function () {
        var form = layui.form; //只有执行了这一步，部分表单元素才会自动修饰成功
        var carousel = layui.carousel;
        var table = layui.table;

        // 监听回车键，如果敲了回车，调用点击‘计算’
        $(document).keydown(function (e) {
            if (e.keyCode === 13) {
                $("#queryCondBtn").trigger("click");
            }
        });
        //建造实例
        ins = carousel.render({});
        var html = " ";
        var remark = " ";
        // 清空轮播图
        $("#carousel").empty();
        $("#remark").empty();
        $.ajax({
            url: "${pageContext.request.contextPath}/getImgs",
            type: "GET",
            data: {
                proTypeValue: $('#proTypeValue').val(),
                kindValue: $("#kindValue option:selected").val()
            },
            //dataType : "json",
            success: function (result) {
                for (let i = 0; i < result.length; i++) {
                    // 只留一个remark
                    remark = "";
                    html += '<div><img style="width:' + result[0].imgWidth + 'px" src="' + result[i].imgUrl + '"></div>';
                    remark += '<div><span>' + result[i].remark + '<span/></div>';
                }
                $("#carousel").append(html);
                // 如果没有说明，就不显示null
                if (remark.indexOf("null") < 0) {
                    $("#remark").append(remark);
                }
                // 如果没有轮播图就隐藏
                if (result.length == 0) {
                    document.getElementById("test1").style.display = "none";   //隐藏
                } else {
                    document.getElementById("test1").style.display = "block";   //显示
                    ins.reload({
                        elem: '#test1',
                        width: result[0].imgWidth,  //设置容器宽度
                        height: result[0].imgHeight
                    });
                }
            }
        })

        form.on('select(kindValue)', (data) => {
            getImages(data)
        })

        function getImages(data, craft) {
            var html = " ";
            // 清空轮播图
            $("#carousel").empty();
            $("#shuangmian").show();
            $("input[name='craftShua'][value='单面']").attr("checked", true);
            let val = "";
            let params = {
                proTypeValue: $('#proTypeValue').val()
            }
            if (data) {
                if (data.value == 10) {
                    $("#shuangmian").hide();
                }
                val = data.value;
                if (val == 11) {
                    val = 1;
                }
                if (val == 12) {
                    val = 2;
                }
                if (val == 13) {
                    val = 3;
                }
                params.kindValue = val;
            }


            if (craft) {
                params.craftValue = craft
            } else {
                params.kindValue = $("select[name='kindValue'] option:selected").val();
            }

            form.render();
            $.ajax({
                url: "${pageContext.request.contextPath}/getImgs",
                type: "GET",
                data: params,
                //dataType : "json",
                success: function (result) {
                    for (let i = 0; i < result.length; i++) {
                        // 只留一个remark
                        html += '<div><img style="width:' + result[0].imgWidth + 'px" src="' + result[i].imgUrl + '"></div>';
                    }
                    $("#carousel").append(html);
                    // 如果没有说明，就不显示null
                    // 如果没有轮播图就隐藏
                    if (result.length == 0) {
                        document.getElementById("test1").style.display = "none";   //隐藏
                    } else {
                        document.getElementById("test1").style.display = "block";   //显示
                        ins.reload({
                            elem: '#test1',
                            width: result[0].imgWidth,  //设置容器宽度
                            height: result[0].imgHeight
                        });
                    }
                }
            })
        }

        $("#number").on("input", function (e) {
            var number = e.delegateTarget.value;
            if (number > 1) {
                $("#ui_des").show();
            } else {
                $("#ui_des").hide();
            }
        });

        form.on("checkbox(switch)", function (data) {
            let craft_list = [];
            $("input:checkbox[name='craft']:checked").each(function (i) {
                if (!$(this).is(':disabled')) {
                    craft_list.push($(this).val());
                }
            });
            $(".cqjinput").hide();
            $(".cqjinput").find(":input").attr("disabled", true);
            if (craft_list.includes("菜品夹")) {
                $(".cqjinput").show();
                $(".cqjinput").find(":input").attr("disabled", false);
                getImages(null, "菜品夹")
            } else {
                getImages(null, "")
            }
            form.render();
        })

        form.on('checkbox(ui_craft)', function (data) {
            let craft_list = [];
            let kindValue = $('input[name="kindValue"]:checked').val();
            craft_list.push($("select[name='craft'] option:selected").val());
            $("input[name='craft']:checked").each(function () {
                if (!$(this).is(':disabled')) {
                    craft_list.push($(this).val());
                }
            });

            if (data.value == '抠图') {
                $(".crop").hide();
                $(".crop").find("input").prop("disabled", true)
                if (data.elem.checked) {
                    $(".crop").show();
                    $(".crop").find("input").prop("disabled", false)
                }
            }
            form.render();
        })

        // 点击计算，计算价格
        form.on('submit(acount_btn)', function (data) {
            var kindValue = $("#kindValue option:checked").text();
            if (kindValue == "") {
                layer.msg("请选择材质！", {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            var kind2Value = $("#kind2Value option:checked").text();
            var number = $("#number").val();
            var count = $("#count").val();
            var size = $("#size").val();
            var jx = $("input[name='ui_jx']:checked").val();
            var shua = $("input[name='craftShua']:checked").val();
            var dk = $("input[name='ui_dk']:checked").val();
            var length = size.split("*")[0];
            var width = size.split("*")[1];
            let craft_list = [];
            $("input:checkbox[name='craft']:checked").each(function (i) {
                if (!$(this).is(':disabled')) {
                    if ($(this).val() == "菜品夹") {
                        craft_list.push($("input[name='stickNum']").val() + $(this).val());
                    } else if ($(this).val() == "抠图") {
                        craft_list.push($(this).val() + $("input[name='cropNumber']").val());
                        return;
                    } else {
                        craft_list.push($(this).val());
                    }
                }
            });
            if (!size) {
                layer.msg('请填写尺寸！', {offset: ['300px', '300px']}, function () {
                });
                return false;
            } else {
                if ((length > 43.5 || width > 43.5 && length > 30.1 || width > 30.1)) {
                    layer.msg("尺寸不能大于43.5*30.1 cm", {offset: ['300px', '300px']}, function () {
                    });
                    return false;
                }
                if ((length < 2 || width < 2)) {
                    layer.msg("尺寸不能小于2*2 cm", {offset: ['300px', '300px']}, function () {
                    });
                    return false;
                }
            }
            var kindValueData = {
                1: "0.38mm亮光",
                2: "0.38mm磨砂",
                3: "0.38mm哑光",
                4: "0.84mm亮光",
                5: "0.84mm磨砂",
                6: "0.84mm哑光",
                7: "1mm亮光",
                8: "1mm磨砂",
                9: "1mm哑光",
                10: "0.38mm透明窗口PVC"
            };

            $.ajax({
                url: "${path}/getThanSum",
                type: "GET",
                data: $(".big_box form").serialize(),
                success: function (result) {
                    if (result.code == 100) {
                        layer.msg(result.msg, {offset: ['300px', '300px']}, function () {
                        });
                        return false;
                    }
                    var data = result.data.proList;
                    if (jx != null) {
                        craft_list.push(jx);
                    }
                    if (shua != null) {
                        craft_list.push(shua);
                    }
                    if (dk != null) {
                        craft_list.push(dk);
                    }
                    let desType = $("#desType option:selected").text();
                    var span_result = "数码PVC" + ' - ' + kindValue + '-' + size + 'cm' + ' -(同款内容)\n';
                    span_result += "工艺：" + craft_list.join(",") + "\n";
                    if (number > 1) {
                        span_result += "款数：" + number + "-" + desType + "\n";
                    }
                    if (number > 1) {
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 各' + data[i].count + "张，共" + data[i].price + "元" + '\n'
                            data[i].number = number;
                        }
                    } else {
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 ' + data[i].count + "张，共" + data[i].price + "元" + '\n'
                            data[i].number = number;
                        }
                    }
                    span_result += '包邮，免费设计呢~（偏远地区需补邮费）'
                    if (window.parent.system_isGai) {
                        span_result += "\n\n亲 现在下单可以参加淘宝活动8.5折折扣哦!"
                    }
                    addLog(span_result);
                    $("#span_result").val(span_result);

                    getRemark("PVC证件", size + "mm", count + "张", kindValue, number, craft_list.join(","), "");
                    //计算完自动复制文本
                    var e = document.getElementById("span_result");//对象是content
                    if (e.value != "") {
                        e.select();//选择对象
                        document.execCommand("Copy");//执行浏览器复制命令
                    }

                    //生成表格
                    table.render({
                        elem: '#priceTable',
                        even: true, //隔行变色
                        data: data, // 赋值已知数据
                        width: 500,
                        cols: [[
                            {
                                field: 'number',
                                width: '12%',
                                align: "center",
                                title: '款数'
                            }, {
                                field: 'count',
                                width: '16%',
                                align: "center",
                                title: '数量'
                            }, {
                                field: 'price',
                                width: '16%',
                                align: "center",
                                title: '报价'
                            }, {
                                field: 'wangwang',
                                align: "center",
                                width: '16%',
                                title: '折扣价'
                            }, {
                                field: 'wangwang',
                                align: "center",
                                width: '19%',
                                title: '跳楼价'
                            }, {
                                field: 'weight',
                                width: '21%',
                                align: "center",
                                title: '重量（kg）'
                            }
                        ]],
                        done: function () {
                        }
                    });
                }
            });
            return false;
        });
    });
</script>
</html>